# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/entity-tag-assignments/{entity_type}/{entity_name}/tags/{tag_key}`

Gets a tag assignment for an Unity Catalog entity by tag key.

API scopes: unity-catalog

## Path parameters

- `entity_name` (string, optional)
  The fully qualified name of the entity to which the tag is assigned
- `tag_key` (string, optional)
  Required. The key of the tag
- `entity_type` (string, optional)
  The type of the entity to which the tag is assigned.

## Returns

Returns the EntityTagAssignment object.

## Response

```json
{
  "entity_name": "main.default.customer_data",
  "entity_type": "tables",
  "source_type": "TAG_ASSIGNMENT_SOURCE_TYPE_UNSPECIFIED",
  "tag_key": "Severity",
  "tag_value": "high",
  "update_time": "2026-01-15T10:30:00.000Z",
  "updated_by": "user@example.com"
}
```

